libmspub::MSPUBParser Class Reference documentation

Classes | Public Member Functions | Protected Types | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
libmspub::MSPUBParser Class Reference

`#include <MSPUBParser.h>`

Inheritance diagram for libmspub::MSPUBParser:

## Classes
struct | TextParagraphReference
struct | TextSpanReference

## Public Member Functions
| MSPUBParser (librevenge::RVNGInputStream *input, MSPUBCollector *collector)
virtual | ~MSPUBParser ()
virtual bool | parse ()

## Protected Types
typedef std::vector< ContentChunkReference >::const_iterator | ccr_iterator_t

## Protected Member Functions
virtual unsigned | getColorIndexByQuillEntry (unsigned entry)
| MSPUBParser ()
| MSPUBParser (const MSPUBParser &)
MSPUBParser & | operator= (const MSPUBParser &)
virtual bool | parseContents (librevenge::RVNGInputStream *input)
bool | parseMetaData ()
bool | parseQuill (librevenge::RVNGInputStream *input)
bool | parseEscher (librevenge::RVNGInputStream *input)
bool | parseEscherDelay (librevenge::RVNGInputStream *input)
MSPUBBlockInfo | parseBlock (librevenge::RVNGInputStream *input, bool skipHierarchicalData=false)
EscherContainerInfo | parseEscherContainer (librevenge::RVNGInputStream *input)
bool | parseContentChunkReference (librevenge::RVNGInputStream *input, MSPUBBlockInfo block)
QuillChunkReference | parseQuillChunkReference (librevenge::RVNGInputStream *input)
bool | parseDocumentChunk (librevenge::RVNGInputStream *input, const ContentChunkReference &chunk)
bool | parsePageChunk (librevenge::RVNGInputStream *input, const ContentChunkReference &chunk)
bool | parsePaletteChunk (librevenge::RVNGInputStream *input, const ContentChunkReference &chunk)
bool | parsePageShapeList (librevenge::RVNGInputStream *input, MSPUBBlockInfo block, unsigned pageSeqNum)
bool | parseShape (librevenge::RVNGInputStream *input, const ContentChunkReference &chunk)
bool | parseBorderArtChunk (librevenge::RVNGInputStream *input, const ContentChunkReference &chunk)
bool | parseFontChunk (librevenge::RVNGInputStream *input, const ContentChunkReference &chunk)
void | parsePaletteEntry (librevenge::RVNGInputStream *input, MSPUBBlockInfo block)
void | parseColors (librevenge::RVNGInputStream *input, const QuillChunkReference &chunk)
void | parseFonts (librevenge::RVNGInputStream *input, const QuillChunkReference &chunk)
void | parseDefaultStyle (librevenge::RVNGInputStream *input, const QuillChunkReference &chunk)
void | parseShapeGroup (librevenge::RVNGInputStream *input, const EscherContainerInfo &spgr, Coordinate parentCoordinateSystem, Coordinate parentGroupAbsoluteCoord)
void | skipBlock (librevenge::RVNGInputStream *input, MSPUBBlockInfo block)
void | parseEscherShape (librevenge::RVNGInputStream *input, const EscherContainerInfo &sp, Coordinate &parentCoordinateSystem, Coordinate &parentGroupAbsoluteCoord)
bool | findEscherContainer (librevenge::RVNGInputStream *input, const EscherContainerInfo &parent, EscherContainerInfo &out, unsigned short type)
bool | findEscherContainerWithTypeInSet (librevenge::RVNGInputStream *input, const EscherContainerInfo &parent, EscherContainerInfo &out, std::set< unsigned short > types)
std::map< unsigned short, unsigned > | extractEscherValues (librevenge::RVNGInputStream *input, const EscherContainerInfo &record)
FOPTValues | extractFOPTValues (librevenge::RVNGInputStream *input, const libmspub::EscherContainerInfo &record)
std::vector< TextSpanReference > | parseCharacterStyles (librevenge::RVNGInputStream *input, const QuillChunkReference &chunk)
std::vector< TextParagraphReference > | parseParagraphStyles (librevenge::RVNGInputStream *input, const QuillChunkReference &chunk)
std::vector< Calculation > | parseGuides (const std::vector< unsigned char > &guideData)
std::vector< Vertex > | parseVertices (const std::vector< unsigned char > &vertexData)
std::vector< unsigned > | parseTableCellDefinitions (librevenge::RVNGInputStream *input, const QuillChunkReference &chunk)
std::vector< unsigned short > | parseSegments (const std::vector< unsigned char > &segmentData)
DynamicCustomShape | getDynamicCustomShape (const std::vector< unsigned char > &vertexData, const std::vector< unsigned char > &segmentData, const std::vector< unsigned char > &guideData, unsigned geoWidth, unsigned geoHeight)
int | getColorIndex (librevenge::RVNGInputStream *input, const MSPUBBlockInfo &info)
unsigned | getFontIndex (librevenge::RVNGInputStream *input, const MSPUBBlockInfo &info)
CharacterStyle | getCharacterStyle (librevenge::RVNGInputStream *input)
ParagraphStyle | getParagraphStyle (librevenge::RVNGInputStream *input)
std::shared_ptr< Fill > | getNewFill (const std::map< unsigned short, unsigned > &foptProperties, bool &skipIfNotBg, std::map< unsigned short, std::vector< unsigned char > > &foptValues)

## Static Protected Member Functions
static short | getBlockDataLength (unsigned type)
static bool | isBlockDataString (unsigned type)
static PageType | getPageTypeBySeqNum (unsigned seqNum)
static unsigned | getEscherElementTailLength (unsigned short type)
static unsigned | getEscherElementAdditionalHeaderLength (unsigned short type)
static ImgType | imgTypeByBlipType (unsigned short type)
static int | getStartOffset (ImgType type, unsigned short initial)
static bool | lineExistsByFlagPointer (unsigned *flags, unsigned *geomFlags=nullptr)

## Protected Attributes
librevenge::RVNGInputStream * | m_input
unsigned | m_length
MSPUBCollector * | m_collector
std::vector< MSPUBBlockInfo > | m_blockInfo
std::vector< ContentChunkReference > | m_contentChunks
std::vector< unsigned > | m_cellsChunkIndices
std::vector< unsigned > | m_pageChunkIndices
std::vector< unsigned > | m_shapeChunkIndices
std::vector< unsigned > | m_paletteChunkIndices
std::vector< unsigned > | m_borderArtChunkIndices
std::vector< unsigned > | m_fontChunkIndices
std::vector< unsigned > | m_unknownChunkIndices
boost::optional< unsigned > | m_documentChunkIndex
int | m_lastSeenSeqNum
unsigned | m_lastAddedImage
std::vector< int > | m_alternateShapeSeqNums
std::vector< int > | m_escherDelayIndices

## Member Typedef Documentation

## ◆ ccr_iterator_t

typedef std::vector<ContentChunkReference>::const_iterator libmspub::MSPUBParser::ccr_iterator_t
| protected

## Constructor & Destructor Documentation

## ◆ MSPUBParser() [1/3]

libmspub::MSPUBParser::MSPUBParser | ( | librevenge::RVNGInputStream * | input,
|  | MSPUBCollector * | collector
| ) |  |
| explicit

## ◆ ~MSPUBParser()

libmspub::MSPUBParser::~MSPUBParser | ( |  | ) |
| virtual

## ◆ MSPUBParser() [2/3]

libmspub::MSPUBParser::MSPUBParser | ( |  | ) |
| protected

## ◆ MSPUBParser() [3/3]

libmspub::MSPUBParser::MSPUBParser | ( | const MSPUBParser & |  | ) |
| protected

## Member Function Documentation

## ◆ extractEscherValues()

std::map< unsigned short, unsigned > libmspub::MSPUBParser::extractEscherValues | ( | librevenge::RVNGInputStream * | input,
|  | const EscherContainerInfo & | record
| ) |  |
| protected

Referenced by parseEscherShape().

## ◆ extractFOPTValues()

FOPTValues libmspub::MSPUBParser::extractFOPTValues | ( | librevenge::RVNGInputStream * | input,
|  | const libmspub::EscherContainerInfo & | record
| ) |  |
| protected

Referenced by parseEscherShape().

## ◆ findEscherContainer()

bool libmspub::MSPUBParser::findEscherContainer | ( | librevenge::RVNGInputStream * | input,
|  | const EscherContainerInfo & | parent,
|  | EscherContainerInfo & | out,
|  | unsigned short | type
| ) |  |
| protected

Referenced by parseEscher(), and parseEscherShape().

## ◆ findEscherContainerWithTypeInSet()

bool libmspub::MSPUBParser::findEscherContainerWithTypeInSet | ( | librevenge::RVNGInputStream * | input,
|  | const EscherContainerInfo & | parent,
|  | EscherContainerInfo & | out,
|  | std::set< unsigned short > | types
| ) |  |
| protected

Referenced by parseEscherShape(), and parseShapeGroup().

## ◆ getBlockDataLength()

short libmspub::MSPUBParser::getBlockDataLength | ( | unsigned | type | ) |
| staticprotected

Referenced by parseBlock().

## ◆ getCharacterStyle()

CharacterStyle libmspub::MSPUBParser::getCharacterStyle | ( | librevenge::RVNGInputStream * | input | ) |
| protected

Referenced by parseCharacterStyles(), and parseDefaultStyle().

## ◆ getColorIndex()

int libmspub::MSPUBParser::getColorIndex | ( | librevenge::RVNGInputStream * | input,
|  | const MSPUBBlockInfo & | info
| ) |  |
| protected

Referenced by getCharacterStyle().

## ◆ getColorIndexByQuillEntry()

unsigned libmspub::MSPUBParser::getColorIndexByQuillEntry | ( | unsigned | entry | ) |
| protectedvirtual

Reimplemented in libmspub::MSPUBParser2k.

Referenced by getCharacterStyle().

## ◆ getDynamicCustomShape()

DynamicCustomShape libmspub::MSPUBParser::getDynamicCustomShape | ( | const std::vector< unsigned char > & | vertexData,
|  | const std::vector< unsigned char > & | segmentData,
|  | const std::vector< unsigned char > & | guideData,
|  | unsigned | geoWidth,
|  | unsigned | geoHeight
| ) |  |
| protected

Referenced by parseEscherShape().

## ◆ getEscherElementAdditionalHeaderLength()

unsigned libmspub::MSPUBParser::getEscherElementAdditionalHeaderLength | ( | unsigned short | type | ) |
| staticprotected

Referenced by extractEscherValues().

## ◆ getEscherElementTailLength()

unsigned libmspub::MSPUBParser::getEscherElementTailLength | ( | unsigned short | type | ) |
| staticprotected

Referenced by findEscherContainer(), findEscherContainerWithTypeInSet(), parseEscher(), and parseShapeGroup().

## ◆ getFontIndex()

unsigned libmspub::MSPUBParser::getFontIndex | ( | librevenge::RVNGInputStream * | input,
|  | const MSPUBBlockInfo & | info
| ) |  |
| protected

Referenced by getCharacterStyle().

## ◆ getNewFill()

std::shared_ptr< Fill > libmspub::MSPUBParser::getNewFill | ( | const std::map< unsigned short, unsigned > & | foptProperties,
|  | bool & | skipIfNotBg,
|  | std::map< unsigned short, std::vector< unsigned char > > & | foptValues
| ) |  |
| protected

Referenced by parseEscherShape().

## ◆ getPageTypeBySeqNum()

PageType libmspub::MSPUBParser::getPageTypeBySeqNum | ( | unsigned | seqNum | ) |
| staticprotected

Referenced by parsePageChunk().

## ◆ getParagraphStyle()

ParagraphStyle libmspub::MSPUBParser::getParagraphStyle | ( | librevenge::RVNGInputStream * | input | ) |
| protected

Referenced by parseDefaultStyle(), and parseParagraphStyles().

## ◆ getStartOffset()

int libmspub::MSPUBParser::getStartOffset | ( | ImgType | type,
|  | unsigned short | initial
| ) |  |
| staticprotected

Referenced by parseEscherDelay().

## ◆ imgTypeByBlipType()

ImgType libmspub::MSPUBParser::imgTypeByBlipType | ( | unsigned short | type | ) |
| staticprotected

Referenced by parseEscherDelay().

## ◆ isBlockDataString()

bool libmspub::MSPUBParser::isBlockDataString | ( | unsigned | type | ) |
| staticprotected

Referenced by parseBlock().

## ◆ lineExistsByFlagPointer()

bool libmspub::MSPUBParser::lineExistsByFlagPointer | ( | unsigned * | flags,
|  | unsigned * | geomFlags = `nullptr`
| ) |  |
| staticprotected

Referenced by parseEscherShape().

## ◆ operator=()

MSPUBParser & libmspub::MSPUBParser::operator= | ( | const MSPUBParser & |  | ) |
| protected

## ◆ parse()

bool libmspub::MSPUBParser::parse | ( |  | ) |
| virtual

Reimplemented in libmspub::MSPUBParser2k, and libmspub::MSPUBParser97.

## ◆ parseBlock()

MSPUBBlockInfo libmspub::MSPUBParser::parseBlock | ( | librevenge::RVNGInputStream * | input,
|  | bool | skipHierarchicalData = `false`
| ) |  |
| protected

Referenced by getCharacterStyle(), getColorIndex(), getFontIndex(), getParagraphStyle(), parseBorderArtChunk(), parseColors(), parseContentChunkReference(), parseContents(), parseFontChunk(), parsePageChunk(), parsePageShapeList(), parsePaletteChunk(), parsePaletteEntry(), and parseShape().

## ◆ parseBorderArtChunk()

bool libmspub::MSPUBParser::parseBorderArtChunk | ( | librevenge::RVNGInputStream * | input,
|  | const ContentChunkReference & | chunk
| ) |  |
| protected

Referenced by parseContents().

## ◆ parseCharacterStyles()

std::vector< MSPUBParser::TextSpanReference > libmspub::MSPUBParser::parseCharacterStyles | ( | librevenge::RVNGInputStream * | input,
|  | const QuillChunkReference & | chunk
| ) |  |
| protected

Referenced by parseQuill().

## ◆ parseColors()

void libmspub::MSPUBParser::parseColors | ( | librevenge::RVNGInputStream * | input,
|  | const QuillChunkReference & | chunk
| ) |  |
| protected

Referenced by parseQuill().

## ◆ parseContentChunkReference()

bool libmspub::MSPUBParser::parseContentChunkReference | ( | librevenge::RVNGInputStream * | input,
|  | MSPUBBlockInfo | block
| ) |  |
| protected

Referenced by parseContents().

## ◆ parseContents()

bool libmspub::MSPUBParser::parseContents | ( | librevenge::RVNGInputStream * | input | ) |
| protectedvirtual

Reimplemented in libmspub::MSPUBParser2k.

Referenced by parse().

## ◆ parseDefaultStyle()

void libmspub::MSPUBParser::parseDefaultStyle | ( | librevenge::RVNGInputStream * | input,
|  | const QuillChunkReference & | chunk
| ) |  |
| protected

Referenced by parseQuill().

## ◆ parseDocumentChunk()

bool libmspub::MSPUBParser::parseDocumentChunk | ( | librevenge::RVNGInputStream * | input,
|  | const ContentChunkReference & | chunk
| ) |  |
| protected

Referenced by parseContents().

## ◆ parseEscher()

bool libmspub::MSPUBParser::parseEscher | ( | librevenge::RVNGInputStream * | input | ) |
| protected

Referenced by parse().

## ◆ parseEscherContainer()

EscherContainerInfo libmspub::MSPUBParser::parseEscherContainer | ( | librevenge::RVNGInputStream * | input | ) |
| protected

Referenced by findEscherContainer(), findEscherContainerWithTypeInSet(), and parseEscherDelay().

## ◆ parseEscherDelay()

bool libmspub::MSPUBParser::parseEscherDelay | ( | librevenge::RVNGInputStream * | input | ) |
| protected

Referenced by parse().

## ◆ parseEscherShape()

void libmspub::MSPUBParser::parseEscherShape | ( | librevenge::RVNGInputStream * | input,
|  | const EscherContainerInfo & | sp,
|  | Coordinate & | parentCoordinateSystem,
|  | Coordinate & | parentGroupAbsoluteCoord
| ) |  |
| protected

Referenced by parseShapeGroup().

## ◆ parseFontChunk()

bool libmspub::MSPUBParser::parseFontChunk | ( | librevenge::RVNGInputStream * | input,
|  | const ContentChunkReference & | chunk
| ) |  |
| protected

Referenced by parseContents().

## ◆ parseFonts()

void libmspub::MSPUBParser::parseFonts | ( | librevenge::RVNGInputStream * | input,
|  | const QuillChunkReference & | chunk
| ) |  |
| protected

Referenced by parseQuill().

## ◆ parseGuides()

std::vector< Calculation > libmspub::MSPUBParser::parseGuides | ( | const std::vector< unsigned char > & | guideData | ) |
| protected

Referenced by getDynamicCustomShape().

## ◆ parseMetaData()

bool libmspub::MSPUBParser::parseMetaData | ( |  | ) |
| protected

Referenced by parse().

## ◆ parsePageChunk()

bool libmspub::MSPUBParser::parsePageChunk | ( | librevenge::RVNGInputStream * | input,
|  | const ContentChunkReference & | chunk
| ) |  |
| protected

Referenced by parseContents().

## ◆ parsePageShapeList()

bool libmspub::MSPUBParser::parsePageShapeList | ( | librevenge::RVNGInputStream * | input,
|  | MSPUBBlockInfo | block,
|  | unsigned | pageSeqNum
| ) |  |
| protected

Referenced by parsePageChunk().

## ◆ parsePaletteChunk()

bool libmspub::MSPUBParser::parsePaletteChunk | ( | librevenge::RVNGInputStream * | input,
|  | const ContentChunkReference & | chunk
| ) |  |
| protected

Referenced by parseContents().

## ◆ parsePaletteEntry()

void libmspub::MSPUBParser::parsePaletteEntry | ( | librevenge::RVNGInputStream * | input,
|  | MSPUBBlockInfo | block
| ) |  |
| protected

Referenced by parsePaletteChunk().

## ◆ parseParagraphStyles()

std::vector< MSPUBParser::TextParagraphReference > libmspub::MSPUBParser::parseParagraphStyles | ( | librevenge::RVNGInputStream * | input,
|  | const QuillChunkReference & | chunk
| ) |  |
| protected

Referenced by parseQuill().

## ◆ parseQuill()

bool libmspub::MSPUBParser::parseQuill | ( | librevenge::RVNGInputStream * | input | ) |
| protected

Referenced by parse(), and libmspub::MSPUBParser2k::parse().

## ◆ parseQuillChunkReference()

QuillChunkReference libmspub::MSPUBParser::parseQuillChunkReference | ( | librevenge::RVNGInputStream * | input | ) |
| protected

Referenced by parseQuill().

## ◆ parseSegments()

std::vector< unsigned short > libmspub::MSPUBParser::parseSegments | ( | const std::vector< unsigned char > & | segmentData | ) |
| protected

Referenced by getDynamicCustomShape().

## ◆ parseShape()

bool libmspub::MSPUBParser::parseShape | ( | librevenge::RVNGInputStream * | input,
|  | const ContentChunkReference & | chunk
| ) |  |
| protected

Referenced by parseContents().

## ◆ parseShapeGroup()

void libmspub::MSPUBParser::parseShapeGroup | ( | librevenge::RVNGInputStream * | input,
|  | const EscherContainerInfo & | spgr,
|  | Coordinate | parentCoordinateSystem,
|  | Coordinate | parentGroupAbsoluteCoord
| ) |  |
| protected

Referenced by parseEscher(), and parseShapeGroup().

## ◆ parseTableCellDefinitions()

std::vector< unsigned > libmspub::MSPUBParser::parseTableCellDefinitions | ( | librevenge::RVNGInputStream * | input,
|  | const QuillChunkReference & | chunk
| ) |  |
| protected

Referenced by parseQuill().

## ◆ parseVertices()

std::vector< Vertex > libmspub::MSPUBParser::parseVertices | ( | const std::vector< unsigned char > & | vertexData | ) |
| protected

Referenced by getDynamicCustomShape(), and parseEscherShape().

## ◆ skipBlock()

void libmspub::MSPUBParser::skipBlock | ( | librevenge::RVNGInputStream * | input,
|  | MSPUBBlockInfo | block
| ) |  |
| protected

Referenced by getColorIndex(), getFontIndex(), parseBlock(), parseContents(), parsePageChunk(), and parsePaletteChunk().

## Member Data Documentation

## ◆ m_alternateShapeSeqNums

std::vector<int> libmspub::MSPUBParser::m_alternateShapeSeqNums
| protected

Referenced by parseContentChunkReference().

## ◆ m_blockInfo

std::vector<MSPUBBlockInfo> libmspub::MSPUBParser::m_blockInfo
| protected

Referenced by parseContents().

## ◆ m_borderArtChunkIndices

std::vector<unsigned> libmspub::MSPUBParser::m_borderArtChunkIndices
| protected

Referenced by parseContentChunkReference(), and parseContents().

## ◆ m_cellsChunkIndices

std::vector<unsigned> libmspub::MSPUBParser::m_cellsChunkIndices
| protected

Referenced by parseContentChunkReference(), and parseShape().

## ◆ m_collector

MSPUBCollector* libmspub::MSPUBParser::m_collector
| protected

Referenced by libmspub::MSPUBParser2k::assignShapeImgIndex(), libmspub::MSPUBParser2k::getColorIndexByQuillEntry(), getNewFill(), libmspub::MSPUBParser97::MSPUBParser97(), parse(), libmspub::MSPUBParser2k::parse(), libmspub::MSPUBParser97::parse(), libmspub::MSPUBParser2k::parse2kShapeChunk(), parseBorderArtChunk(), parseColors(), libmspub::MSPUBParser2k::parseContents(), libmspub::MSPUBParser97::parseContentsTextIfNecessary(), parseDefaultStyle(), libmspub::MSPUBParser2k::parseDocument(), libmspub::MSPUBParser97::parseDocument(), parseEscherDelay(), parseEscherShape(), parseFontChunk(), parseFonts(), libmspub::MSPUBParser2k::parseGroup(), parseMetaData(), parsePageChunk(), parsePageShapeList(), parsePaletteChunk(), parsePaletteEntry(), parseQuill(), parseShape(), libmspub::MSPUBParser2k::parseShapeCoordinates(), libmspub::MSPUBParser2k::parseShapeFill(), libmspub::MSPUBParser2k::parseShapeFlips(), parseShapeGroup(), libmspub::MSPUBParser2k::parseShapeLine(), libmspub::MSPUBParser2k::parseShapeRotation(), and libmspub::MSPUBParser2k::parseShapeType().

## ◆ m_contentChunks

std::vector<ContentChunkReference> libmspub::MSPUBParser::m_contentChunks
| protected

Referenced by libmspub::MSPUBParser2k::assignShapeImgIndex(), libmspub::MSPUBParser2k::parse2kShapeChunk(), parseContentChunkReference(), parseContents(), libmspub::MSPUBParser2k::parseContents(), libmspub::MSPUBParser2k::parseDocument(), libmspub::MSPUBParser97::parseDocument(), libmspub::MSPUBParser2k::parseGroup(), and parseShape().

## ◆ m_documentChunkIndex

boost::optional<unsigned> libmspub::MSPUBParser::m_documentChunkIndex
| protected

Referenced by parseContentChunkReference(), parseContents(), libmspub::MSPUBParser2k::parseContents(), libmspub::MSPUBParser2k::parseDocument(), and libmspub::MSPUBParser97::parseDocument().

## ◆ m_escherDelayIndices

std::vector<int> libmspub::MSPUBParser::m_escherDelayIndices
| protected

Referenced by getNewFill(), parseEscher(), and parseEscherShape().

## ◆ m_fontChunkIndices

std::vector<unsigned> libmspub::MSPUBParser::m_fontChunkIndices
| protected

Referenced by parseContentChunkReference(), and parseContents().

## ◆ m_input

librevenge::RVNGInputStream* libmspub::MSPUBParser::m_input
| protected

Referenced by parse(), libmspub::MSPUBParser2k::parse(), libmspub::MSPUBParser97::parse(), and parseMetaData().

## ◆ m_lastAddedImage

unsigned libmspub::MSPUBParser::m_lastAddedImage
| protected

Referenced by libmspub::MSPUBParser2k::parseContents(), and parseEscherDelay().

## ◆ m_lastSeenSeqNum

int libmspub::MSPUBParser::m_lastSeenSeqNum
| protected

Referenced by parseContentChunkReference(), and parseContents().

## ◆ m_length

unsigned libmspub::MSPUBParser::m_length
| protected

Referenced by libmspub::MSPUBParser97::getTextInfo(), libmspub::MSPUBParser97::parseContentsTextIfNecessary(), and parseDefaultStyle().

## ◆ m_pageChunkIndices

std::vector<unsigned> libmspub::MSPUBParser::m_pageChunkIndices
| protected

Referenced by libmspub::MSPUBParser2k::parse2kShapeChunk(), parseContentChunkReference(), parseContents(), and libmspub::MSPUBParser2k::parseContents().

## ◆ m_paletteChunkIndices

std::vector<unsigned> libmspub::MSPUBParser::m_paletteChunkIndices
| protected

Referenced by parseContentChunkReference(), parseContents(), and libmspub::MSPUBParser2k::parseContents().

## ◆ m_shapeChunkIndices

std::vector<unsigned> libmspub::MSPUBParser::m_shapeChunkIndices
| protected

Referenced by parseContentChunkReference(), parseContents(), and libmspub::MSPUBParser2k::parseContents().

## ◆ m_unknownChunkIndices

std::vector<unsigned> libmspub::MSPUBParser::m_unknownChunkIndices
| protected

Referenced by parseContentChunkReference(), and libmspub::MSPUBParser2k::parseContents().

The documentation for this class was generated from the following files:

- MSPUBParser.h
- MSPUBParser.cpp